=== modified file '.pydevproject'
--- .pydevproject	2009-09-27 14:56:47 +0000
+++ .pydevproject	2009-09-28 09:46:16 +0000
@@ -4,4 +4,7 @@
 <pydev_project>
 <pydev_property name="org.python.pydev.PYTHON_PROJECT_VERSION">python 2.6</pydev_property>
 <pydev_property name="org.python.pydev.PYTHON_PROJECT_INTERPRETER">Default</pydev_property>
+<pydev_pathproperty name="org.python.pydev.PROJECT_SOURCE_PATH">
+<path>/framework-dev</path>
+</pydev_pathproperty>
 </pydev_project>

=== renamed file 'VERSION' => 'madgraph/VERSION'
=== modified file 'madgraph/interface/cmd_interface.py'
--- madgraph/interface/cmd_interface.py	2009-09-28 05:48:45 +0000
+++ madgraph/interface/cmd_interface.py	2009-09-28 09:46:16 +0000
@@ -16,6 +16,7 @@
 """A user friendly command line interface to access MadGraph features."""
 
 import cmd
+import madgraph.core
 
 class MadGraphCmd(cmd.Cmd):
     """The command line processor of MadGraph"""

=== added file 'madgraph/iolibs/misc.py'
--- madgraph/iolibs/misc.py	1970-01-01 00:00:00 +0000
+++ madgraph/iolibs/misc.py	2009-09-28 09:46:16 +0000
@@ -0,0 +1,38 @@
+##############################################################################
+#
+# Copyright (c) 2009 The MadGraph Development team and Contributors
+#
+# This file is a part of the MadGraph 5 project, an application which 
+# automatically generates Feynman diagrams and matrix elements for arbitrary
+# high-energy processes in the Standard Model and beyond.
+#
+# It is subject to the MadGraph license which should accompany this 
+# distribution.
+#
+# For more information, please visit: http://madgraph.phys.ucl.ac.be
+#
+##############################################################################
+
+"""A set of functions performing routine administrative I/O tasks."""
+
+import madgraph
+import os
+
+def get_version():
+    """Returns the current version of the MadGraph package, as written in
+    the VERSION text file. If the file cannot be found, UNKNOWN is 
+    returned"""
+
+    version = "UNKNOWN"
+
+    try:
+        version_file = fopen(os.path.join(madgraph.__path__, "VERSION"), 'r')
+        try:
+            version = version_file.read()
+        finally:
+            version_file.close()
+    except IOError:
+        pass
+
+    return version
+

=== renamed directory 'madgraph/tests' => 'tests'
